# $Revision: 1.133 $, $Date: 2012/03/29 14:50:20 $
#
# Conditional build:
%bcond_without	firebird	# build without firebird plugin
%bcond_with	freetds		# build without freetds plugin
%bcond_without	ldap		# build without ldap plugin
%bcond_without	mdb		# build without MDB plugin
%bcond_with	mdb05		# build with mdb < 0.6pre1
%bcond_without	mysql		# build without MySQL plugin
%bcond_without	odbc		# build without unixODBC
%bcond_without	pgsql		# build without PostgreSQL plugin
%bcond_without	sqlite		# build without sqlite plugin
%bcond_without	sybase		# build without sybase plugin
%bcond_without	xbase		# build without xbase plugin
#
%ifnarch %{ix86} %{x8664} sparc sparcv9 alpha ppc
%undefine	with_firebird
%endif
Summary:	GNU Data Access library
Summary(pl.UTF-8):	Biblioteka GNU Data Access
Name:		libgda
Version:	1.2.4
Release:	16
Epoch:		1
License:	LGPL v2/GPL v2
Group:		Applications/Databases
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgda/1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	512a8ed842ce98eb432e69bd6867f437
Patch0:		%{name}-mdb.patch
Patch1:		%{name}-sqlite.patch
Patch2:		%{name}-configure.patch
Patch3:		%{name}-freetds064.patch
Patch4:		%{name}-xbase.patch
Patch5:		%{name}-mdb2.patch
Patch6:		%{name}-gtk-doc.patch
Patch7:		%{name}-sybase.patch
Patch8:		%{name}-firebird.patch
Patch9:		glib.patch
URL:		http://www.gnome-db.org/
%{?with_firebird:BuildRequires:	Firebird-devel}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8
BuildRequires:	bison
BuildRequires:	db-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	flex
%{?with_freetds:BuildRequires:	freetds-devel = 0.64}
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.12.1
BuildRequires:	gnome-common >= 2.12.0
BuildRequires:	gtk-doc >= 1.7
BuildRequires:	intltool >= 0.35
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	libxslt-devel >= 1.1.17
%if %{with_mdb}
%{?with_mdb05:BuildRequires:	mdbtools-devel < 0.6}
%{!?with_mdb05:BuildRequires:	mdbtools-devel >= 0.6}
%endif
%{?with_sybase:BuildRequires:	freetds-devel >= 0.82}
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.4.6}
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	readline-devel >= 5.0
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	scrollkeeper
%{?with_sqlite:BuildRequires:	sqlite3-devel}
%{?with_odbc:BuildRequires:	unixODBC-devel}
%{?with_xbase:BuildRequires:	xbase-devel >= 2.0.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Data Access is an attempt to provide uniform access to different
kinds of data sources (databases, information servers, mail spools,
etc). It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project but has been separated from it
to allow non-GNOME applications to be developed based on it.

%description -l pl.UTF-8
GNU Data Access to próba zapewnienia jednolitego dostępu do różnych
źródeł danych (bazy danych, serwery informacji, katalogi z pocztą
itp.). Jest kompletną architekturą dostarczającą wszystko, czego
potrzebujesz do dostępu do danych.

libgda była częścią projektu GNOME-DB, ale została wydzielona, aby
pozwolić na używanie przez niegnomowe aplikacje.

%package devel
Summary:	GNU Data Access development
Summary(pl.UTF-8):	Dla programistów GNU Data Access
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 1:2.12.1
Requires:	libxml2-devel >= 1:2.6.26
Requires:	libxslt-devel >= 1.1.17
Obsoletes:	libgda0-devel

%description devel
GNU Data Access is an attempt to provide uniform access to different
kinds of data sources (databases, information servers, mail spools,
etc). It is a complete architecture that provides all you need to
access your data. This subpackage contains development files.

%description devel -l pl.UTF-8
GNU Data Access to próba zapewnienia jednolitego dostępu do różnych
źródeł danych (bazy danych, serwery informacji, katalogi z pocztą
itp.). Jest kompletną architekturą dostarczającą wszystko, czego
potrzebujesz do dostępu do danych. Ten podpakiet zawiera pliki dla
programistów używających libgda.

%package static
Summary:	GNU Data Access static libraries
Summary(pl.UTF-8):	Statyczne biblioteki GNU Data Access
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
GNU Data Access static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki GNU Data Access.

%package apidocs
Summary:	libgda API documentation
Summary(pl.UTF-8):	Dokumentacja API libgda
Group:		Documentation
Requires(post,postun):	scrollkeeper
Requires:	gtk-doc-common
Requires:	scrollkeeper

%description apidocs
libgda API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libgda.

%package -n gda-db
Summary:	GDA Berkeley DB provider
Summary(pl.UTF-8):	Źródło danych Berkeley DB dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-db
This package contains the GDA Berkeley DB provider.

%description -n gda-db -l pl.UTF-8
Pakiet dostaczający dane z Berkeley DB dla GDA.

%package -n gda-firebird
Summary:	GDA Firebird provider
Summary(pl.UTF-8):	Źródło danych Firebird dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-firebird
This package contains the GDA Firebird provider.

%description -n gda-firebird -l pl.UTF-8
Pakiet dostarczający dane z Firebird dla GDA.

%package -n gda-freetds
Summary:	GDA FreeTDS provider
Summary(pl.UTF-8):	Źródło danych FreeTDS dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-freetds
This package contains the GDA FreeTDS provider.

%description -n gda-freetds -l pl.UTF-8
Pakiet dostarczający dane z FreeTDS dla GDA.

%package -n gda-ldap
Summary:	GDA LDAP provider
Summary(pl.UTF-8):	Źródło danych LDAP dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-ldap
This package contains the GDA LDAP provider.

%description -n gda-ldap -l pl.UTF-8
Pakiet dostarczający dane z LDAP dla GDA

%package -n gda-mdb
Summary:	GDA MDB provider
Summary(pl.UTF-8):	Źródło danych MDB
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}
%{?with_mdb05:Requires:	mdbtools-libs < 0.6}
%{!?with_mdb05:Requires:	mdbtools-libs >= 0.6}

%description -n gda-mdb
This package contains the GDA MDB provider.

%description -n gda-mdb -l pl.UTF-8
Pakiet dostarczający dane z MDB dla GDA.

%package -n gda-mysql
Summary:	GDA MySQL provider
Summary(pl.UTF-8):	Źródło danych MySQL dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libgda-mysql0

%description -n gda-mysql
This package contains the GDA MySQL provider.

%description -n gda-mysql -l pl.UTF-8
Pakiet dostarczający dane z MySQL dla GDA.

%package -n gda-odbc
Summary:	GDA ODBC provider
Summary(pl.UTF-8):	Źródło danych ODBC dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-odbc
This package contains the GDA ODBC provider.

%description -n gda-odbc -l pl.UTF-8
Pakiet dostarczający dane z ODBC dla GDA.

%package -n gda-postgres
Summary:	GDA PostgreSQL provider
Summary(pl.UTF-8):	Źródło danych PostgreSQL dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libgda-postgres0

%description -n gda-postgres
This package contains the GDA PostgreSQL provider.

%description -n gda-postgres -l pl.UTF-8
Pakiet dostarczający dane z PostgreSQL dla GDA.

%package -n gda-sqlite
Summary:	GDA SQLite provider
Summary(pl.UTF-8):	Źródło danych SQLite dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-sqlite
This package contains the GDA SQLite provider.

%description -n gda-sqlite -l pl.UTF-8
Pakiet dostarczający dane z SQLite dla GDA.

%package -n gda-sybase
Summary:	GDA Sybase provider
Summary(pl.UTF-8):	Źródło danych Sybase dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-sybase
This package contains the GDA Sybase provider.

%description -n gda-sybase -l pl.UTF-8
Pakiet dostarczający dane z Sybase dla GDA.

%package -n gda-xbase
Summary:	GDA xBase provider
Summary(pl.UTF-8):	Źródło danych xBase dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-xbase
This package contains the GDA xBase (dBase, Clipper, FoxPro) provider.

%description -n gda-xbase -l pl.UTF-8
Pakiet dostarczający dane z xBase (dBase, Clippera, FoxPro) dla GDA.

%prep
%setup -q
%if %{with mdb05}
%patch0 -p1
%endif
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
CXXFLAGS="%{rpmcxxflags} -fno-rtti -fno-exceptions"
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--with%{!?with_firebird:out}-firebird \
	--with%{!?with_ldap:out}-ldap \
	--with%{!?with_mdb:out}-mdb \
	--with%{!?with_mysql:out}-mysql \
	--with%{!?with_odbc:out}-odbc \
	--with%{!?with_pgsql:out}-postgres \
	--with%{!?with_sqlite:out}-sqlite \
	--with%{!?with_freetds:out}-tds \
	--with%{!?with_xbase:out}-xbase \
	%{?with_sybase:--with-sybase=/usr} \
	--without-oracle
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# modules dlopened by *.so through libgmodule
rm -f $RPM_BUILD_ROOT%{_libdir}/libgda/providers/*.{a,la}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post apidocs
%scrollkeeper_update_post

%postun apidocs
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gda-config-tool
%attr(755,root,root) %{_libdir}/libgda-2.so.*.*
%attr(755,root,root) %{_libdir}/libgda-report-2.so.*.*
%attr(755,root,root) %{_libdir}/libgdasql.so.*.*
%ghost %{_libdir}/libgda-2.so.3
%ghost %{_libdir}/libgda-report-2.so.3
%ghost %{_libdir}/libgdasql.so.3
%dir %{_libdir}/libgda
%dir %{_libdir}/libgda/providers
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-xml.so
%{_datadir}/libgda
%dir %{_sysconfdir}/libgda
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/libgda/config
%{_mandir}/man1/gda-config-tool.1*
%{_mandir}/man5/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gda-report-test
%attr(755,root,root) %{_bindir}/gda-run
%attr(755,root,root) %{_bindir}/gda-test
%attr(755,root,root) %{_libdir}/libgda-2.so
%attr(755,root,root) %{_libdir}/libgda-report-2.so
%attr(755,root,root) %{_libdir}/libgdasql.so
%{_libdir}/libgda-2.la
%{_libdir}/libgda-report-2.la
%{_libdir}/libgdasql.la
%{_includedir}/libgda-1.2
%{_pkgconfigdir}/libgda.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgda-2.a
%{_libdir}/libgda-report-2.a
%{_libdir}/libgdasql.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libgda
%{_omf_dest_dir}/%{name}

%files -n gda-db
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-bdb.so

%if %{with firebird}
%files -n gda-firebird
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-firebird.so
%endif

%if %{with freetds}
%files -n gda-freetds
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-freetds.so
%endif

%if %{with ldap}
%files -n gda-ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-ldap.so
%endif

%if %{with mdb}
%files -n gda-mdb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-mdb.so
%endif

%if %{with mysql}
%files -n gda-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-mysql.so
%endif

%if %{with odbc}
%files -n gda-odbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-odbc.so
%endif

%if %{with pgsql}
%files -n gda-postgres
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-postgres.so
%endif

%if %{with sqlite}
%files -n gda-sqlite
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-sqlite.so
%endif

%if %{with sybase}
%files -n gda-sybase
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-sybase.so
%endif

%if %{with xbase}
%files -n gda-xbase
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-xbase.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgda.spec,v $
Revision 1.133  2012/03/29 14:50:20  wiget
- fix compilation with glib 2.32
- rel. 16

Revision 1.132  2012/01/13 21:00:15  arekm
- release 15

Revision 1.131  2011/06/26 18:38:31  arekm
- rel 14; mdb build fix

Revision 1.130  2011/06/26 18:05:36  arekm
- release 13

Revision 1.129  2011/03/31 18:12:29  arekm
- release 12

Revision 1.128  2009/11/30 01:44:01  sparky
- BR: docbook-dtd412-xml, gettext-devel, pkgconfig

Revision 1.127  2009/07/03 16:51:38  hawk
- release 11

Revision 1.126  2009/02/23 22:06:33  arekm
- release 10

Revision 1.125  2008/11/02 21:07:00  arekm
- rel 9; fix firebird api build

Revision 1.124  2008/11/02 20:44:12  arekm
- release 8

Revision 1.123  2008/09/01 17:44:48  arekm
- release 7

Revision 1.122  2008/07/21 18:13:28  megabajt
- build sybase provider
- release 6

Revision 1.121  2008/07/21 15:45:08  megabajt
- disable freetds bcond by default
- release 5

Revision 1.120  2008/06/29 22:13:04  hawk
- release 4

Revision 1.119  2007-11-23 15:33:21  megabajt
- release 3

Revision 1.118  2007-11-03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.117  2007/06/02 15:00:05  qboosh
- added gtk-doc patch to fix gtk-doc path in .omf file
- release 2

Revision 1.116  2007/06/02 10:53:06  qboosh
- URL

Revision 1.115  2007/06/02 10:32:18  qboosh
- moved scrollkeeper stuff to -apidocs as .omf file refers to gtk-doc only

Revision 1.114  2007/05/31 22:22:16  qboosh
- added versioned deps to -mdb package

Revision 1.113  2007/05/31 22:20:35  qboosh
- updated freetds064 patch
- readded xbase patch (now in version backported from libgda 3.0.1)
- added mdb2 patch (one more mdb fix)
- renamed bcond: without mdb06 -> with mdb05

Revision 1.112  2007/05/13 18:14:49  qboosh
- updated to 1.2.4
- removed obsolete gcc34,freetds063 patches

Revision 1.111  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.110  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.109  2006/12/25 12:55:00  arekm
- rel 5; freetds 0.64 support

Revision 1.108  2006/11/13 15:00:11  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.107  2006/10/25 10:23:28  sls
- release 4 to rebuild with mdbtools-0.6pre1
- added bcond allowing build with mdbtools-0.5
- missing epoch

Revision 1.106  2006/08/11 18:33:16  freetz
- merged from gda-1_2 branch, use HEAD deps, apidocs subpkg added,
  changelog cut, unstable version moved to DEVEL branch
